
Foreman - Bug #10035

Deletion of puppet classes doesn't remove associated references in other tables

04/07/2015 11:06 AM - Brian Imbriani

Status: New   

Priority: Normal   

Assignee:    

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Problem:  When the puppet modules were deleted, the config_groups_classes table was not removed so when the puppet modules

were re-imported, config_groups still showed a count of puppet modules even though there were none assigned.  All the IDs were

the old IDs of the puppet modules.

According to the IRC chat room:

<mhulan> BeeAyeEye: the bug is that we don't remove associations and we miss foreign keys there, could you report that please?

Currently running 1.7.4

History

#1 - 04/08/2015 03:17 AM - Marek Hulán

- Category set to Database

- translation missing: en.field_release deleted (40)

Thanks for the report, just one clarification, only associations between config groups and puppet classes remained in DB, others seems to be

removed properly.

#2 - 04/28/2015 01:10 PM - Jérôme Vizcaino

Smart vars are not deleted when puppet classes are removed.
